Subject: RE: Generial Editorial Comment

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Mon, 23 Sep 2002 10:44:37 -0400

IBGP by itself in most text implies the internal BGP protocol, same applies
to EBGP. Therefore adding the word peer to it completes the intended
meaning.

on p. 4 "taking care not to lose BGP attributes that will be needed by EBGP

         speakers ..."

on p. 4 "Care must be taken to ensure that the interior routers
         have all been updated with transit information before the EBGP
         speakers announce ..."

on p. 4 "... BGP speakers within the AS maintain direct IBGP connections
..."

on p. 4 "... it is assumed that BGP information is passed within an AS
         using IBGP." 

on p. 20 " The mandatory category refers to an attribute which must be
present
           in both IBGP and EBGP exchanges ..."

Ben

> From: Manav Bhatia [mailto:[email-masked]]
> Sent: Monday, September 23, 2002 10:31 AM
> To: Abarbanel, Benjamin
> Cc: [email-masked]
> Subject: Re: Generial Editorial Comment
> 
> 
> Ben,
> 
> | > IBGP stands for "BGP connection between internal peers". Therefore
> | > the term "IBGP Peer" would mean "BGP connection between internal
> | > peers peer".  That doesn't seem appropriate.
> | >
> | If you are a BGP AS border router, you have an (internal) 
> IBGP peer and
> an
> | (external) EBGP peer. Where is the confusion?
> 
> Refer to Section 3 - Summary of operations which clearly 
> states that " .. a
> peer in a different AS is referred to as an external peer, 
> while a peer in
> the same AS may be described as an internal peer. Internal 
> BGP and external
> BGP are commonly abbreviated IBGP and EBGP"
> 
> Regards,
> Manav
> 
> 
> 
>

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 23 Sep 2002 09:30:11 -0700

Ben,

> on p. 4 "... it is assumed that BGP information is passed within an AS

Here is the replacement text:

           A consistent view of the routes exterior to the AS can be
   provided by having all BGP speakers within the AS maintain direct 
   IBGP with each other. Alternately the IGP can pass BGP information
   among routers within an AS, taking care not to lose BGP attributes 
   that will be needed by BGP speakers for advertisements to external
   peers if transit connectivity is being provided. For the purpose
   of this document, it is assumed that BGP information is passed
   within an AS using IBGP. Care must be taken to ensure that the
   interior routers have all been updated with transit information
   before the BGP speakers announce to other ASs that transit service
   is being provided.

Yakov.